#ifndef FNETWORKREGREMOVE_H_
#define FNETWORKREGREMOVE_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"

class TfNetworkRegRemove{
	public:
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;
		TStaticText SText;
		u32 Color;
	
		int TabOrder;
	
		TPoint OwnerLeftTop; //ParrentLeftTop;
		TRect Bound;	
		TRect Content;
		TMyString Str;
		
		int IsShowing;
		unsigned char IsViewList;
		unsigned char CtlIndex;
	
		unsigned char Count;
		unsigned char PageIndex;
		unsigned char PageCount;
		unsigned char Done;
	
		char dText[64];
		unsigned char Data[12];
		unsigned char RecData[12];

		int Sta;
	public:
		TfNetworkRegRemove(){};
		TfNetworkRegRemove(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
	
		void SetAndShowCaption(unsigned char aType);
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		void ClearOutText();
		void ShowDetail();
		void ShowResult();
		void ShowResult(int aSta);

		void Show(void);
		void FullRedraw(int Prm);
		void ShowCaption();
		void ReDraw(void);
		void DrawCaption2(void);
		void DrawList();
		void SetPanelCaptionColor();
		void ClearData();
		void LoadData();
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel(void);
		void Check4Selected(void);
		
		void Task1000Ms();
		
		void SendfNetMsg(int Len);
		void PushfNetMsg(unsigned char *data, int Len);
		
		int ExtRequst(unsigned char Prm);

};



#endif

